Name:           kflog
Version:        4.10.0
Release:        1
Summary:        Soaring-pilot-software for KDE4

License:        GNU General Public License (GPL)
URL:            http://kflog.org/
Source0:        KFLog-%{version}.tar.gz
Patch0:		KFLog-qt.patch
#Patch0:         DesktopIcon.patch
#Patch1:         loggerpath.patch
#Patch2:         lib64.patch

BuildRequires:  qt-devel 

%description
KFLog is used to display, analyze and evaluate flights logged with a
gps-logger. It displays the flight in a map. KFLog supports a large
free vector-map of the whole, including terrain-data.
The map is not part of this package. You can download the map from
the KFLog-website at http://maproom.kflog.org/ or enable an automatic
map download.


%prep
%setup -q -n KFLog-%{version}
%patch0 -p1
#%patch1 -p1
#%ifarch x86_64 amd64
#%patch2 -p1
#%endif
sed -i "s#/opt/kflog/bin#/usr/bin#; s#/opt/kflog/pics#/usr/share/kflog/pics#" kflog/kflog.desktop


%build
QMAKE=%{_libdir}/qt4/bin/qmake make %{?_smp_mflags} -f Makefile.qmake all
QMAKE=%{_libdir}/qt4/bin/qmake make %{?_smp_mflags} -f Makefile.qmake install_test


%install
install -d %{buildroot}%{_bindir}
cp -r release/bin/* %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
cp -r release/lib/* %{buildroot}%{_libdir}
install -d %{buildroot}%{_datadir}/%{name}
cp -r kflog/pics %{buildroot}%{_datadir}/%{name}
cp -r release/logger %{buildroot}%{_datadir}/%{name}
cp -r release/mapdata %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_kde4_iconsdir}/hicolor/48x48/apps
ln -s ../../../../kflog/pics/pilot_48.png %{buildroot}%{_kde4_iconsdir}/hicolor/48x48/apps/pilot.png
mkdir %{buildroot}%{_datadir}/applications
cp kflog/kflog.desktop %{buildroot}%{_datadir}/applications

%files
%{_bindir}/*
%{_libdir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_kde4_iconsdir}/hicolor/48x48/apps/*


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%changelog

* Wed Mar 2 2012 Michael Mennicken <michael.mennicken@gmx.de> 4.6.1-3
- BuildRequires:  patch ergänzt

* Wed Feb 17 2012 Michael Mennicken <michael.mennicken@gmx.de> 4.6.1-2
- logger description included (loggerpath.patch included)

* Wed Feb 16 2012 Michael Mennicken <michael.mennicken@gmx.de> 4.6.1-1
- initial spec file for opensuse 12.1
